## com.TwentyCodes.android.SkyHook
Class SkyHook.XPScallback

    java.lang.Object
      com.TwentyCodes.android.SkyHook.SkyHook.XPScallback

All Implemented Interfaces:
  WPSPeriodicLocationCallback

Enclosing class:
  SkyHook

    private class SkyHook.XPScallback

extends Object
implements WPSPeriodicLocationCallback

Constructor Summary
`private` `SkyHook.XPScallback()`

Method Summary
`void` `done()`
`WPSContinuation` `handleError(WPSReturnCode error)`
`WPSContinuation` `handleWPSPeriodicLocation(WPSLocation location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyHook.XPScallback

    private SkyHook.XPScallback()

Method Detail

### done

    public void done()

### handleError

    public WPSContinuation handleError(WPSReturnCode error)

### handleWPSPeriodicLocation

    public WPSContinuation handleWPSPeriodicLocation(WPSLocation location)

  Specified by:
    `handleWPSPeriodicLocation` in interface `WPSPeriodicLocationCallback`